#pragma once
#include "afxwin.h"
#include "DialogECGSetSTSIO.h"

// CDialogECGSetST 对话框

class CDialogECGSetST : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogECGSetST)

public:
	CDialogECGSetST(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogECGSetST();

// 对话框数据
	enum { IDD = IDD_DIALOG_ECG_SET_ST };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CDialogECGSetSTSIO m_DialogECGSetSTSIO;
	CComboBox m_ComboECGSTSw;
	CComboBox m_ComboECGSTAlmSw;
	CComboBox m_ComboECGSTAlmLevel;
	CComboBox m_ComboECGSTAlmRec;
	CEdit m_EditECGSTAlmH;
	CEdit m_EditECGSTAlmL;
	afx_msg void OnBnClickedButtonEcgStSet();
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
private:
	CString input_STAlmH_check(CString & cs);
	CString input_STAlmL_check(CString & cs);
public:
	afx_msg void OnCbnSelchangeComboEcgStSw();
	afx_msg void OnCbnSelchangeComboEcgStAlmSw();
	afx_msg void OnCbnSelchangeComboEcgStAlmLevel();
	afx_msg void OnCbnSelchangeCombo1EcgStAlmRec();
};
